Bug 143022 - Out-of-date/inaccurate default smb.conf
Out-of-date/inaccurate default smb.conf
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-15 15:10 EST by Josh Kelley
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:11:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Kelley 2004-12-15 15:10:36 EST
Description of problem:
The default smb.conf that's provided with RHEL 3's Samba packages
contain numerous comments that are out of date or inaccurate.

Version-Release number of selected component (if applicable):
3.0.7-1.3E.1

How reproducible:
All the time

Steps to Reproduce:
1. View /etc/samba/smb.conf and compare it with the smb.conf manpage
or testparm -v.
  
Actual results:
Several inconsistencies/errors.

Expected results:
Accurate/consistent information.

Additional info:
Some specific examples:
Comments for "printing" don't list softq or cups as supported options.
The "password server" option is also used for security = ads and
security = domain.
"encrypt passwords" now defaults to yes.
The manpage indicates that "interfaces" defaults to all interfaces;
smb.conf's comments indicate that it defaults to one.
"domain logons" only refers to Windows 95.
"dns proxy" currently defaults to yes.
"preserve case" and "short preserve case" default to yes.
Comment 1 RHEL Product and Program Management 2007-10-19 15:11:10 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.